<?php
/*------------------------------------------------------------------------
# mod_3dgallery - 3D gallery with CSS3 & jQuery from http://tympanus.net/codrops/2012/02/06/3d-gallery-with-css3-and-jquery/
# ------------------------------------------------------------------------
# author Norberto Verino - Orión Desarrollos
# copyright Copyright (C) 2012 www.oriondesarrollos.com.ar. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.oriondesarrollos.com.ar
# Technical Support: &nbsp;Chat Online - http://www.oriondesarrollos.com.ar/contacto
-------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access'); // no direct access   
JHTML::stylesheet('style.css', JURI::root().'modules/mod_3dgallery/css/');
	
JLoader::import( 'joomla.version' );
$version = new JVersion();
if (version_compare( $version->RELEASE, '2.5', '<=')) {
    if(JFactory::getApplication()->get('jquery') !== true) {
        // load jQuery here
        JFactory::getApplication()->set('jquery', true);
    }
} else {
    JHtml::_('jquery.framework');
}
    
    $langScript = "jQuery(function($){\$('#dg-container').gallery(
                        {
                        autoplay:".($rb_autoplay == 1? "true" : "false").",
                        interval: ".$txt_interval.
                        "}
                   ); });";
    
    $document = &JFactory::getDocument();    
    $document->addScriptDeclaration($langScript);
    JHTML::script('jquery.gallery.js', JURI::root().'modules/mod_3dgallery/js/');
    JHTML::script('modernizr.custom.53451.js', JURI::root().'modules/mod_3dgallery/js/');
?>

<?php if($images): ?>
<div id="dg-container" class="dg-container">
    <div class="dg-wrapper">
        <?php foreach ($images as $image): ?>
                <a href="#">
                    <img src="<?php echo JURI::base() . DS . "images" . DS . $fl_carpeta . DS . $image ?>" />
                </a>                
        <?php endforeach; ?>
    </div>
    <nav>	
        <span class="dg-prev">&lt;</span>
        <span class="dg-next">&gt;</span>
    </nav>
</div>
<?php endif ?>
